cURL
软删除 Agent(标记状态为
deleted),接口幂等:重复删除不会返回错误。
删除 Agent 需要知识库-删除权限。
Authorizations
string
header
required
DashScope API Key,在控制台 API Key 页面 获取。
Body
application/jsonstring
required
Agent ID。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
软删除 Agent,标记状态为 deleted
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/app/delete" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "aid-8f3a1b2c4d5e6f70"
}'{
"request_id": "d4e5f6a7-b8c9-0123-defa-234567890123",
"status_code": 200,
"code": "Success",
"message": "",
"status": "SUCCESS",
"success": true,
"data": {
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_status": "deleted"
}
}deleted),接口幂等:重复删除不会返回错误。
DashScope API Key,在控制台 API Key 页面 获取。
Agent ID。
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/app/delete" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "aid-8f3a1b2c4d5e6f70"
}'{
"request_id": "d4e5f6a7-b8c9-0123-defa-234567890123",
"status_code": 200,
"code": "Success",
"message": "",
"status": "SUCCESS",
"success": true,
"data": {
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_status": "deleted"
}
}